Subject: [Hipsec] draft-moskowitz-hip-08.txt snapshot available

From: [email-masked] (Pekka Nikander)
Date: Fri Sep 5 09:30:01 2003

As may be apparent from my previous mails, I am finally
updating draft-moskowitz-hip.  The results from today's
editing can be found at the following URLs.  I will
continue on Monday.  The goal is to get -08 out still
during this month.

http://www.tml.hut.fi/~pnr/HIP/draft-moskowitz-hip-08-pre-Sep05-chbar.txt
http://www.tml.hut.fi/~pnr/HIP/draft-moskowitz-hip-08-pre-Sep05-diff.html
http://www.tml.hut.fi/~pnr/HIP/draft-moskowitz-hip-08-pre-Sep05.html
http://www.tml.hut.fi/~pnr/HIP/draft-moskowitz-hip-08-pre-Sep05.txt
http://www.tml.hut.fi/~pnr/HIP/draft-moskowitz-hip-08-pre-Sep05.xml

If possible, please send any comments as context diffs against
the *xml* file.  In that way I can patch them directly in.
Otherwise I have to hand edit them.

Besides, if anyone is willing to host an issue tracker for
us, that would be great.

Current list of old unresolved issues:

3.  Unification of NES and REA
4.  DoS on R2
5.  Rules for extensions

Issue being worked on:

9.  Packet processing

New issues:

10. Which pseudo header format to use for IPv4 carried
     HIP packets, IPv6 or IPv4 format?

11. Need to define the HMAC parameter, needed for
     mobility

12. It looks like R2 is too weak.  It should include
     something derived from KEYMAT, I think.  Maybe
     a HMAC payload?

13. Define how to send multiple I1s to multiple IP
     addresses in parallel, and rate limitations.

14. Possible weakness in receiving I2s in E3 state,
     as discussed in a previous mail.

15. Handling anonymous HITs in received R1 and I2.

16. Handling of LSIs.

--Pekka